### Method

# Fwupd SecurityAttr set_appstream_id

since: 1.5.0

#### Declaration [src]

    void
    fwupd_security_attr_set_appstream_id (
      FwupdSecurityAttr* self,
      const gchar* appstream_id
    )

#### Description [src]

Sets the AppStream ID.

Available since: 1.5.0

#### Parameters

`appstream_id`

  Type: `const gchar*`

  The AppStream component ID, e.g. `com.intel.BiosGuard`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.